package com.mortals.xhx.common.code.flowable.listener;

import java.io.Serializable;

/**
 * 监听器类型
 *
 * @author: zxfei
 * @date: 2021/8/26 9:57
 */
public enum ListenerTypeEnum implements Serializable {
    EXECUTION_LISTENER("executionListener", "任务监听"),
    TASK_LISTENER("taskListener", "执行监听");
    private String type;
    private String msg;

    ListenerTypeEnum(String v, String msg) {
        this.msg = msg;
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
